#include <stdio.h>
void zameni(int *a,int *b)
{
	int d;
	d=*a;
	*a=*b;
	*b=d;
}
int main()
{
	int n,a[20];
    scanf("%d",&n);
    for(int i=0;i<n;i++)
    scanf("%d",&a[i]);
    if(n==3)
    if(a[0]>a[1] && a[0]>a[2])
    zameni(&a[1],&a[2]);
	if(n==2)
    zameni(&a[0],&a[1]);
    for(int i=0;i<n;i++)
    printf("%d ",a[i]);
    return 0;
}